import 'package:krow_core/core.dart';
import 'package:krow_domain/krow_domain.dart';
import '../repositories/payments_repository.dart';

/// Use case to retrieve payment summary information.
class GetPaymentSummaryUseCase extends NoInputUseCase<PaymentSummary> {
  final PaymentsRepository repository;

  /// Creates a [GetPaymentSummaryUseCase].
  GetPaymentSummaryUseCase(this.repository);

  @override
  Future<PaymentSummary> call() async {
    return await repository.getPaymentSummary();
  }
}
